Request a signed URL for file upload
curl --request POST \
--url https://api.turbofiles.io/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "files",
"attributes": {
"size": 504233
}
}
}
'import requests
url = "https://api.turbofiles.io/v1/files"
payload = { "data": {
"type": "files",
"attributes": { "size": 504233 }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: 'files', attributes: {size: 504233}}})
};
fetch('https://api.turbofiles.io/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonapi": {
"version": "1.1"
},
"data": {
"type": "files",
"id": "8fhd83jpk",
"attributes": {
"size": 504233,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>",
"upload": "<string>",
"download": "<string>"
}
},
"links": {
"self": "<string>"
}
}Files
Create a file
POST
/
v1
/
files
Request a signed URL for file upload
Authorizations
Authentication token must be provided in the Authorization header using the Bearer scheme. Example: Authorization: Bearer your-api-key-or-token
Body
application/vnd.api+json
Show child attributes
Show child attributes
⌘I